'Newland.Toubiz.Poi.Neos:FilteredTeaserList':
  abstract: true
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true

  ui:
    inspector:
      groups:
        configuration:
          label: i18n
          icon: wrench

  properties:
    hideFilters:
      ui: ~
    title:
      type: string
      ui:
        label: i18n
        inspector:
          group: configuration

    listTarget:
      type: string
      ui:
        label: i18n
        help:
          message: i18n
        inspector:
          group: configuration
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          editorOptions:
            assets: false


'Newland.Toubiz.Poi.Neos:FilteredTeaserListAttraction':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'poi'
  properties:
    articleType:
      type: string
      defaultValue: 0


'Newland.Toubiz.Poi.Neos:FilteredTeaserListGastronomy':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'gastronomy'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 1

'Newland.Toubiz.Poi.Neos:FilteredTeaserListTour':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'tour'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 2

'Newland.Toubiz.Poi.Neos:FilteredTeaserListLodging':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'lodging'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 3

'Newland.Toubiz.Poi.Neos:FilteredTeaserListDirectMarketer':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'directMarketer'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 4

'Newland.Toubiz.Poi.Neos:FilteredTeaserListCongressLocation':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'congressLocation'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 5

'Newland.Toubiz.Poi.Neos:FilteredTeaserListCity':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredTeaserList': true
  ui:
    label: i18n
    group: 'city'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 6
